Page MenuHomePhabricator

Special page "Version" does not work on MediaWiki 1.25.1 and the corresponding version of CirrusSearch
Closed, ResolvedPublic

Description

After updating to the up to date version of MediaWiki (1.25.1) today and then updating to the corresponding CirrusSearch version (downloaded snapshot for 1.25) the "special page" --> "version" is broken.
Only an empty white page appears. I checked the Elastica extension, this was not the problem.

Event Timeline

SmartK created this task.May 27 2015, 3:08 PM
SmartK raised the priority of this task from to Medium.
SmartK updated the task description. (Show Details)
SmartK added a subscriber: SmartK.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 3:08 PM
SmartK updated the task description. (Show Details)May 27 2015, 3:10 PM
SmartK set Security to None.

Sure can do ;-)

Fatal error: Class 'MWLoggerFactory' not found in /var/www/wiki/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php on line 175

So I now tried the "Master" version of CirrusSearch, and here we go. Now the "special page" "Version" is working again. The extension is still showing up as version 0.2 which could be updated, but at least it is working. Maybe someone can fix the 1.25 version of the download.

CirrusSearch is not correctly branched for REL1_25... I hope this is not T66157 strikes back again :(

For the meantime, you can try downloading the master version and see if it just works.

This comment was removed by SmartK.
SmartK added a comment.EditedMay 27 2015, 3:36 PM

Yes, everything works with the "master" version. Thank you again fort CirrusSearch, one of the best improvements in the last couple of years on mediawiki!!!

Change 214094 had a related patch set uploaded (by BryanDavis):
Use namespaced \MediaWiki\Logger\LoggerFactory

https://gerrit.wikimedia.org/r/214094

Change 214094 merged by jenkins-bot:
Use namespaced \MediaWiki\Logger\LoggerFactory

https://gerrit.wikimedia.org/r/214094

Yes, now if you download the corresponding version for MediaWiki 1.25 the download is ok and the files work. Great job, thank you!

SmartK closed this task as Resolved.May 28 2015, 5:02 PM
SmartK claimed this task.
Ciencia_Al_Poder reassigned this task from SmartK to bd808.May 28 2015, 5:48 PM
Restricted Application added projects: Discovery, User-bd808. · View Herald TranscriptDec 31 2015, 5:09 AM
bd808 moved this task from To Do to Archive on the User-bd808 board.Dec 31 2015, 6:09 AM